syntax = "proto3";
option go_package = ".;pb";


message Mastery{
  int32 lv =1;
  int32 value = 2;
}

// 炉子信息
message DBStove{
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  int32 lv = 3; // 炉子等级
  map<int32,Mastery>  data = 4; // key 图纸ID value 熟练度
  map<int32,int32> skill = 5; // 台子技能
  map<int32,int32>  forge = 6; // key 套装类型 value 打造次数
  int32 temperature = 7;// 炉子温度
  int64 recoveTime = 8;  //@go_tags(`bson:"recoveTime"`) 恢复满时间
  map<int32,int32> hit = 9;
}

message CustomerInfo{
  int32 customerId = 1; //顾客ID
  int32 suitId = 2;   //套装ID  随机套装
  int32 equipCount = 3;//装备数量
}

message DBCustomer{
  string id = 1; //@go_tags(`bson:"_id"`) ID
  string uid = 2; //@go_tags(`bson:"uid"`)   
  repeated CustomerInfo customers = 3; // @go_tags(`bson:"customers"`) 顾客信息
  int32 total = 4; //@go_tags(`bson:"total"`) 顾客累计数
  int64 lastRefreshTime = 5; // @go_tags(`bson:"lastRefreshTime"`) 上次更新时间
}

// 装备图鉴
message DBAtlas{
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  map<string,ForgeList> atlas = 3; // 图鉴信息
  map<string,CollectData> collect = 4; // 收藏品图鉴信息
  int32 score = 5; // 总积分
  int32 award = 6; // 奖励进度  

}
message CollectData{
  string id = 1;  // 收集图鉴id
  int32 score = 2;
  int64 time = 3; //  获得时间
  bool activate = 4; // 是否激活
}
message  ForgeList{
  ForgeData data1 = 1;
  ForgeData data2 = 2;
  bool activate = 3; // 是否激活
}
message ForgeData{
  int32 forgeCount = 1; // 打造次数
  int32 lv = 2;
  int32 quality = 3;
  int32 score = 4;
  int64 time = 5; //  获得时间
}

//玩家图鉴任务
message DBTujianTask {
  string uid = 1; //@go_tags(`bson:"uid"`)
  repeated TujianTask tasks = 2; // @go_tags(`bson:"tasks"`)  任务列表
 }

message TujianTask{
 int32 taskId = 1; //@go_tags(`bson:"taskId"`)  任务ID
  int32 received = 2; //@go_tags(`bson:"received"`) 领取状态 0未领取 1待领取 2已领取
}
